using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RFramework;

namespace RFrameGenerate.Model
{
    public partial class T_BAS_CustomerServices : EntityBase<T_BAS_CustomerServices>, ICloneable
    {
        public Guid CustomerServicesGuid{ get;set; }
        public string username{ get;set; }
        public string password{ get;set; }
        public string company{ get;set; }
        public string compAddr{ get;set; }
        public string weburl{ get;set; }
        public string industryCategory{ get;set; }
        public string linkman{ get;set; }
        public string phone{ get;set; }
        public string email{ get;set; }
        public string mobile{ get;set; }
        public string keytype{ get;set; }
        public string keynumber{ get;set; }
        public bool success{ get;set; }   
        public string msg{ get;set; }
        public string defaultusername{ get;set; }
        public string code{ get;set; }
        public string compId{ get;set; }
        public Guid? SMerchantGuid{ get;set; }   
        
        public override string ToString()
        {
            StringBuilder sb = this.EntityToGetKeyValue();
            if (sb == null)
                return base.ToString();
            else
            {
                return sb.ToString();
            }
        }
        
        #region 创建副本
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public object Clone()
        {
            return this.MemberwiseClone();
        }
        /// <summary>
        /// 创建当前 System.Object 的深表副本
        /// </summary>
        /// <returns>返回当前实例的深表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_BAS_CustomerServices DeepClone()
        {
            using (System.IO.Stream objectStream = new System.IO.MemoryStream())
            {
                System.Runtime.Serialization.IFormatter formatter = new System.Runtime.Serialization.Formatters.Binary.BinaryFormatter();
                formatter.Serialize(objectStream, this);
                objectStream.Seek(0, System.IO.SeekOrigin.Begin);
                return formatter.Deserialize(objectStream) as T_BAS_CustomerServices;
            }
        }
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_BAS_CustomerServices ShallowClone()
        {
            return Clone() as T_BAS_CustomerServices;
        }
        #endregion
        
        #region 实体相互转换
        protected override T_BAS_CustomerServices CurrentEntity()
        {
            return this;
        }
        #endregion
    }
}

